Skip to Content

POST Items

Gebruik dit endpoint om een nieuw item binnen een branch aan te maken.

Gebruikersniveau: Gevorderd

Endpoint

POST /v1/{scopeId}/items
EigenschapWaarde
MethodPOST
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:items:write
Content-Typeapplication/json
Request bodyJSON object

Create-regels

  • Items zijn branch-or-null resources, maar de request gebruikt nog steeds een branch UUID in de URL.
  • organization_id en branch_id worden server-side gezet.

Toegestane createvelden

Veld
name
code
status
unit
description

Voorbeeldrequest

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/items" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "name": "Pallet", "code": "PALLET", "status": "active", "unit": "piece" }'

Voorbeeldresponse

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440061", "name": "Pallet", "code": "PALLET", "status": "active", "unit": "piece" }, "version": "v1" }
Last updated on